from config import g, epsilon
from Numeric import allclose, array, zeros, ones, Float
from advection import *
from Numeric import array

import pdb
from mesh_factory import rectangular

points, vertices, boundary = rectangular(20, 20)

#Create advection domain with direction (1,-1)
domain = Domain(points, vertices, boundary, velocity=[1.0, 0.0])

# Initial condition is zero by default

domain.visualise = True

#Boundaries
T = Transmissive_boundary(domain)
D = Dirichlet_boundary(array([0.5]))

domain.default_order = 2

domain.set_boundary( {'left': D, 'right': T, 'bottom': T, 'top': T} )
domain.check_integrity()

#Check that the boundary value gets propagated to all elements
for t in domain.evolve(yieldstep = 0.01, finaltime = 1.5):
    pdb.set_trace()
    domain.write_time()
